clang-tools 8.0.0

Public Member Functions | Static Public Attributes | List of all members
clang::doc::YAMLGenerator Class Reference

Generator for YAML documentation. More...

Inheritance diagram for clang::doc::YAMLGenerator:
[legend]
Collaboration diagram for clang::doc::YAMLGenerator:
[legend]

## Public Member Functions
llvm::Error | generateDocForInfo (Info *I, llvm::raw_ostream &OS) override
Public Member Functions inherited from clang::doc::Generator
virtual | ~Generator ()=default

## Static Public Attributes
static const char * | Format = "yaml"

## Detailed Description

Generator for YAML documentation.

Definition at line 241 of file YAMLGenerator.cpp.

## Member Function Documentation

## ◆ generateDocForInfo()

llvm::Error clang::doc::YAMLGenerator::generateDocForInfo | ( | Info * | I,
|  | llvm::raw_ostream & | OS
| ) |  |
| override virtual

Implements clang::doc::Generator.

Definition at line 250 of file YAMLGenerator.cpp.

References clang::doc::Info::IT, clang::doc::IT_default, clang::doc::IT_enum, clang::doc::IT_function, clang::doc::IT_namespace, clang::doc::IT_record, and clang::doc::YAML().

## Member Data Documentation

## ◆ Format

const char * clang::doc::YAMLGenerator::Format = "yaml"
| static

Definition at line 243 of file YAMLGenerator.cpp.

The documentation for this class was generated from the following file:

- YAMLGenerator.cpp